Bug 1002367 - Nodes send redundant warning messages when creating zend apps
Nodes send redundant warning messages when creating zend apps
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Vojtech Vitek
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 23:26 EDT by Zhe Wang
Modified: 2015-05-14 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:28:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhe Wang 2013-08-28 23:26:17 EDT
Description of problem:
The console shows redundant warning messages when creating a zend app. The warning messages seems not to be expected, or we should keep consistent when creating other apps.

Creating application 'zend1' ... 
Starting Zend Server Deployment daemon
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Starting Zend Server Monitor node
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Starting Apache
^^^^^^^^^^^^^^^
Starting Zend Server JobQueue daemon
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Starting Zend Server Console
^^^^^^^^^^^^^^^^^^^^^^^^^^^^
done

  Note: You should set password for the Zend Server Console at: https://zend1-dev3722tst.dev.rhcloud.com/ZendServer
Zend Server 5.6 started successfully

When creating a zend app via REST API, the warnings exist:

            "exit_code": 0, 
            "field": null, 
            "severity": "warning", 
            "text": "Starting Zend Server Deployment daemon\nStarting Zend Server Monitor node\nStarting Apache\nStarting Zend Server JobQueue daemon\nStarting Zend Server Console\n"
        }, 


Version-Release number of selected component (if applicable):
devenv_3722

How reproducible:
always

Steps to Reproduce:
1. creating a zend app
2. 
3.

Actual results:
The creation succeeded, but the node sent redundant warning messages to CLI:

Creating application 'zend1' ... 
Starting Zend Server Deployment daemon
Starting Zend Server Monitor node
Starting Apache
Starting Zend Server JobQueue daemon
Starting Zend Server Console
done

  Note: You should set password for the Zend Server Console at: https://zend1-dev3722tst.dev.rhcloud.com/ZendServer
Zend Server 5.6 started successfully


Expected results:
The warning messages are not expected, or we should keep consistent when creating other apps.

Additional info:
Comment 1 Vojtech Vitek 2013-09-19 10:50:44 EDT
https://github.com/openshift/li/pull/1911
Comment 2 Zhe Wang 2013-09-22 06:03:46 EDT
Verified in devenv_3810

[zhe@fedora runs]$ rhc app create zendtst zend-5.6
Application Options
-------------------
  Namespace:  test
  Cartridges: zend-5.6
  Gear Size:  default
  Scaling:    no

Creating application 'zendtst' ... done

  Note: You should set password for the Zend Server Console at: https://zendtst-test.dev.rhcloud.com/ZendServer
Zend Server 5.6 started successfully

Waiting for your DNS name to be available ... done

Note You need to log in before you can comment on or make changes to this bug.